using Demo.Domain.Models;

namespace Demo.Domain.UseCase
{
    public interface IUserUseCase
    {
        List<User> GetAllUsers();
        bool CreateUser(User user);
        bool RemoveUserByGuid(Guid userGuid);
        User UpdateUser(User user);
        User GetUserByGuid(Guid userGuid);
        List<User> GetUsersByGroupID(int groupID);
    }
}